=== plugins/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8)

add_subdirectory(DebuggerCore)
add_subdirectory(Analyzer)
add_subdirectory(Assembler)
add_subdirectory(BinaryInfo)
add_subdirectory(BinarySearcher)
add_subdirectory(Bookmarks)
add_subdirectory(BreakpointManager)
add_subdirectory(CheckVersion)
add_subdirectory(DumpState)
add_subdirectory(FunctionFinder)
add_subdirectory(HardwareBreakpoints)
add_subdirectory(OpcodeSearcher)
add_subdirectory(ProcessProperties)
add_subdirectory(ROPTool)
add_subdirectory(References)
add_subdirectory(SymbolViewer)
add_subdirectory(Backtrace)
add_subdirectory(HeapAnalyzer)
add_subdirectory(ODbgRegisterView)
