=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_CXXFLAGS_MAINT_APPEND  = -fPIE -Ulinux
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -fPIE -pie

%:
	dh $@
