=== plugins/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,9 @@
 add_subdirectory(CheckVersion)
 add_subdirectory(DumpState)
 add_subdirectory(FunctionFinder)
-add_subdirectory(HardwareBreakpoints)
+if((${CMAKE_SYSTEM_PROCESSOR} MATCHES "i[3456]86") OR (${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64"))
+	add_subdirectory(HardwareBreakpoints)
+endif()
 add_subdirectory(OpcodeSearcher)
 add_subdirectory(ProcessProperties)
 add_subdirectory(ROPTool)
@@ -19,3 +21,8 @@
 add_subdirectory(Backtrace)
 add_subdirectory(HeapAnalyzer)
 add_subdirectory(ODbgRegisterView)
+add_subdirectory(InstructionInspector)
+add_subdirectory(DebuggerErrorConsole)
+if(${BUILD_SIMPLE_REGISTER_VIEW})
+	add_subdirectory(SimpleRegView)
+endif()
