=== src/CMakeLists.txt ===
--- 
+++ 
@@ -20,14 +20,15 @@
 		FixedFontSelector.ui
 		DialogPlugins.ui
 		DialogThreads.ui)
+
 set(RC_FILES debugger.qrc)
 
 if(Qt5Core_DIR)
-    find_package(Qt5 5.0.0 REQUIRED Widgets Xml XmlPatterns)
+    find_package(Qt5 5.0.0 REQUIRED Widgets Xml XmlPatterns Svg)
 	qt5_wrap_ui(UI_H ${UI_FILES})
 	qt5_add_resources(RC_SRCS ${RC_FILES})
 elseif(NOT Qt5Core_DIR)
-	find_package(Qt4 4.6.0 REQUIRED QtCore QtGui QtXml QtXmlPatterns)
+	find_package(Qt4 4.6.0 REQUIRED QtCore QtGui QtXml QtXmlPatterns QtSvg)
 	include(${QT_USE_FILE})
 	qt4_wrap_ui(UI_H ${UI_FILES})
 	qt4_add_resources(RC_SRCS ${RC_FILES})
@@ -45,24 +46,26 @@
 	set(GIT_BRANCH "Unknown")
 endif()
 add_definitions(-DGIT_BRANCH=${GIT_BRANCH})
-add_definitions(-DDEFAULT_PLUGIN_PATH=${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/edb)
+add_definitions(-DDEFAULT_PLUGIN_PATH=\"${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}/edb\")
 
 include_directories(
 	"capstone-edb"
 	"qhexview"
 	"widgets"
 	"qjson4"
+	"session"
 )
 
 set(edb_SRCS
 	BasicBlock.cpp
 	BinaryString.cpp
 	ByteShiftArray.cpp
-	CallStack.cpp
 	capstone-edb/Instruction.cpp
+	capstone-edb/Inspection.cpp
 	CommentServer.cpp
 	Configuration.cpp
 	DataViewInfo.cpp
+	DebugEventHandlers.cpp
 	Debugger.cpp
 	DialogAbout.cpp
 	DialogArguments.cpp
@@ -75,12 +78,12 @@
 	DialogPlugins.cpp
 	DialogThreads.cpp
 	edb.cpp
+	ExpressionDialog.cpp
 	FixedFontSelector.cpp
 	FloatX.cpp
 	Function.cpp
 	HexStringValidator.cpp
 	main.cpp
-	MD5.cpp
 	MemoryRegions.cpp
 	PluginModel.cpp
 	ProcessModel.cpp
@@ -93,10 +96,12 @@
 	RegisterViewModelBase.cpp
 	State.cpp
 	SymbolManager.cpp
+	session/SessionManager.cpp
+	session/SessionError.cpp
 	ThreadsModel.cpp
 	widgets/LineEdit.cpp
+	widgets/NavigationHistory.cpp
 	widgets/QDisassemblyView.cpp
-	widgets/RegisterListWidget.cpp
 	widgets/RegisterViewDelegate.cpp
 	widgets/SyntaxHighlighter.cpp
 	widgets/TabWidget.cpp
@@ -117,7 +122,6 @@
 	${PROJECT_SOURCE_DIR}/include/BasicBlock.h
 	${PROJECT_SOURCE_DIR}/include/BinaryString.h
 	${PROJECT_SOURCE_DIR}/include/ByteShiftArray.h
-	${PROJECT_SOURCE_DIR}/include/CallStack.h
 	${PROJECT_SOURCE_DIR}/include/Configuration.h
 	${PROJECT_SOURCE_DIR}/include/edb.h
 	${PROJECT_SOURCE_DIR}/include/Expression.h
@@ -150,6 +154,10 @@
 	${PROJECT_SOURCE_DIR}/include/ThreadsModel.h
 	${PROJECT_SOURCE_DIR}/include/Types.h
 	${PROJECT_SOURCE_DIR}/include/version.h
+	${PROJECT_SOURCE_DIR}/include/QLongValidator.h
+	${PROJECT_SOURCE_DIR}/include/QULongValidator.h
+	${PROJECT_SOURCE_DIR}/include/HexStringValidator.h
+	${PROJECT_SOURCE_DIR}/include/Instruction.h
 	qjson4/QJsonArray.h
 	qjson4/QJsonDocument.h
 	qjson4/QJsonObject.h
@@ -157,21 +165,46 @@
 	qjson4/QJsonParser.h
 	qjson4/QJsonRoot.h
 	qjson4/QJsonValue.h
-	qjson4/QJsonValueRef.h	
+	qjson4/QJsonValueRef.h
 )
 
-if((${CMAKE_SYSTEM_PROCESSOR} MATCHES "i[3456]86") OR (${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64"))
+if((${CMAKE_SYSTEM_PROCESSOR} MATCHES "i[3456]86") OR (${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64") OR (${CMAKE_SYSTEM_PROCESSOR} STREQUAL "AMD64"))
 	set(edb_INCLUDES
 		${edb_INCLUDES}
 		${PROJECT_SOURCE_DIR}/include/arch/x86-generic/ArchTypes.h
-		${PROJECT_SOURCE_DIR}/include/arch/x86-generic/Instruction.h		
-	)
-	
+	)
+
 	set(edb_SRCS
 		${edb_SRCS}
 		arch/x86-generic/ArchProcessor.cpp
 		arch/x86-generic/RegisterViewModel.cpp
 	)
+endif()
+
+if((${CMAKE_SYSTEM_PROCESSOR} MATCHES "armv[0-9]+"))
+        set(edb_INCLUDES
+                ${edb_INCLUDES}
+                ${PROJECT_SOURCE_DIR}/include/arch/arm-generic/ArchTypes.h
+        )
+
+        set(edb_SRCS
+                ${edb_SRCS}
+                arch/arm-generic/ArchProcessor.cpp
+                arch/arm-generic/RegisterViewModel.cpp
+        )
+endif()
+
+if(${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
+
+  enable_language(ASM_MASM)
+  
+  set(CMAKE_ASM_MASM_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /safeseh")
+  
+  set(edb_SRCS
+    ${edb_SRCS}
+    LongDoubleX86.asm
+  )
+  
 endif()
 
 if(${GRAPHVIZ_FOUND})
@@ -192,16 +225,16 @@
 	)
 endif()
 
-# we put the header files from the include directory here 
+# we put the header files from the include directory here
 # too so automoc can "just work"
 add_executable(edb ${edb_INCLUDES} ${edb_SRCS})
 
 if(Qt5Core_DIR)
-	target_link_libraries(edb ${CAPSTONE_LIBRARIES} Qt5::Widgets Qt5::Xml Qt5::XmlPatterns ${GRAPHVIZ_LIBRARIES})
+	target_link_libraries(edb ${CAPSTONE_LIBRARIES} Qt5::Widgets Qt5::Xml Qt5::XmlPatterns Qt5::Svg ${GRAPHVIZ_LIBRARIES})
 elseif(NOT Qt5Core_DIR)
-	target_link_libraries(edb ${CAPSTONE_LIBRARIES} Qt4::QtGui Qt4::QtXml Qt4::QtXmlPatterns ${GRAPHVIZ_LIBRARIES})
-endif()
-
+	target_link_libraries(edb ${CAPSTONE_LIBRARIES} Qt4::QtGui Qt4::QtXml Qt4::QtXmlPatterns Qt4::QtSvg ${GRAPHVIZ_LIBRARIES})
+endif()
+
+set_target_properties(edb PROPERTIES ENABLE_EXPORTS TRUE)
 set(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR})
 install (TARGETS edb DESTINATION ${CMAKE_INSTALL_BINDIR})
-
