=== plugins/Backtrace/CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,8 @@
 	Backtrace.h
 	DialogBacktrace.cpp
 	DialogBacktrace.h
+	CallStack.cpp
+	CallStack.h
 	${UI_H}
 )
