=== debian/changelog ===
edb-debugger (1.0.0-1build3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:13:13 +0100

edb-debugger (1.0.0-1build2) disco; urgency=medium

  * Rebuild against capstone reverted package to 3.0.5-1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Mar 2019 15:17:28 +0100

edb-debugger (1.0.0-1build1) disco; urgency=medium

  * No-change rebuild for capstone soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Feb 2019 17:05:15 +0000

edb-debugger (1.0.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #904567)
    Thanks Ariel AxionL.
  * Bumped DH level to 11.
  * debian/control:
      - Bumped Standards-Version to 4.2.1.
      - Updated the Build-Depends.
  * debian/copyright:
      - Updated file.
  * debian/patches:
      - Disabled the fix_makefile and fix_default_plugin_path patches.
      - Rename patch fix_spelling to fix_spelling.patch and
        updated patch.
  * debian/rules:
      - Updated file.
  * Updated the edb-debugger.install file.

 -- Marcio de Souza Oliveira <m.desouza20@gmail.com>  Mon, 27 Aug 2018 01:32:44 +0000
