=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: devel
 Priority: optional
 Maintainer: Marcio de Souza Oliveira <m.desouza20@gmail.com>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
  cmake,
  libboost-dev,
  libcapstone-dev,
  libgraphviz-dev,
+ libqt5svg5-dev,
  libqt5xmlpatterns5-dev,
  pkg-config,
  qt5-qmake,
  qtbase5-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.2.1
 Homepage: https://github.com/eteran/edb-debugger
 Vcs-Git: https://github.com/marciosouza20/edb-debugger.git
 Vcs-Browser: https://github.com/marciosouza20/edb-debugger.git
