=== debian/changelog ===
edb-debugger (1.0.0.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Marcio de Souza Oliveira <m.desouza20@gmail.com>  Wed, 27 Jan 2021 16:28:54 +0800
