=== debian/watch ===
version=4
https://github.com/eteran/edb-debugger/releases .*/archive/?(\d\S+)\.tar\.(?:bz2|gz|xz)
